# Uses of Class
java.awt.event.HierarchyEvent

Packages that use HierarchyEvent
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.event
Provides interfaces and classes for dealing with different types of events fired by AWT components.
javax.swing.plaf
Provides one interface and many abstract classes that Swing uses to provide its pluggable look-and-feel capabilities.

## Uses of HierarchyEvent in java.awt

Methods in java.awt with parameters of type HierarchyEvent
Modifier and Type
Method
Description
`void`
AWTEventMulticaster.`ancestorMoved(HierarchyEvent e)`
Handles the ancestorMoved event by invoking the ancestorMoved methods on listener-a and listener-b.
`void`
AWTEventMulticaster.`ancestorResized(HierarchyEvent e)`
Handles the ancestorResized event by invoking the ancestorResized methods on listener-a and listener-b.
`void`
AWTEventMulticaster.`hierarchyChanged(HierarchyEvent e)`
Handles the hierarchyChanged event by invoking the hierarchyChanged methods on listener-a and listener-b.
`protected void`
Component.`processHierarchyBoundsEvent(HierarchyEvent e)`
Processes hierarchy bounds events occurring on this component by dispatching them to any registered `HierarchyBoundsListener` objects.
`protected void`
Component.`processHierarchyEvent(HierarchyEvent e)`
Processes hierarchy events occurring on this component by dispatching them to any registered `HierarchyListener` objects.

## Uses of HierarchyEvent in java.awt.event

Methods in java.awt.event with parameters of type HierarchyEvent
Modifier and Type
Method
Description
`void`
HierarchyBoundsAdapter.`ancestorMoved(HierarchyEvent e)`
Called when an ancestor of the source is moved.
`void`
HierarchyBoundsListener.`ancestorMoved(HierarchyEvent e)`
Called when an ancestor of the source is moved.
`void`
HierarchyBoundsAdapter.`ancestorResized(HierarchyEvent e)`
Called when an ancestor of the source is resized.
`void`
HierarchyBoundsListener.`ancestorResized(HierarchyEvent e)`
Called when an ancestor of the source is resized.
`void`
HierarchyListener.`hierarchyChanged(HierarchyEvent e)`
Called when the hierarchy has been changed.

## Uses of HierarchyEvent in javax.swing.plaf

Methods in javax.swing.plaf with parameters of type HierarchyEvent
Modifier and Type
Method
Description
`protected void`
LayerUI.`processHierarchyBoundsEvent(HierarchyEvent e, JLayer<? extends V> l)`
Processes hierarchy bounds event occurring on the `JLayer` or any of its subcomponents.
`protected void`
LayerUI.`processHierarchyEvent(HierarchyEvent e, JLayer<? extends V> l)`
Processes hierarchy event occurring on the `JLayer` or any of its subcomponents.